# -*- coding: utf-8 -*-
# Generated by Django 1.9.13 on 2017-08-03 14:49
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import modelcluster.fields


class Migration(migrations.Migration):

    dependencies = [
        ('auth', '0007_alter_validators_add_error_messages'),
        ('wagtail_personalisation', '0012_remove_personalisablepagemetadata_is_segmented'),
        ('surveys', '0010_personalisablesurvey_personalisablesurveyformfield'),
    ]

    operations = [
        migrations.CreateModel(
            name='GroupMembershipRule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('group', models.ForeignKey(help_text='User must be part of this group to activate the rule.', on_delete=django.db.models.deletion.PROTECT, to='auth.Group')),
                ('segment', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='surveys_groupmembershiprule_related', related_query_name='%(app_label)s_%(class)ss', to='wagtail_personalisation.Segment')),
            ],
            options={
                'verbose_name': 'Group membership rule',
            },
        ),
        migrations.CreateModel(
            name='SurveySubmissionDataRule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('field_name', models.CharField(help_text="Field's label in a lower-case format with spaces replaced by dashes. For possible choices please input any text and save, so it will be displayed in the error messages below the field.", max_length=255, verbose_name='field name')),
                ('expected_response', models.CharField(help_text='When comparing text values, please input text. Comparison on text is always case-insensitive. Multiple choice values must be separated with commas.', max_length=255, verbose_name='expected response')),
                ('operator', models.CharField(choices=[(b'eq', 'equals'), (b'in', 'contains')], default=b'in', help_text='When using the "contains" operator, "expected response" can contain a small part of user\'s response and it will be matched. "Exact" would match responses that are exactly the same as the "expected response".', max_length=3, verbose_name='operator')),
                ('segment', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='surveys_surveysubmissiondatarule_related', related_query_name='%(app_label)s_%(class)ss', to='wagtail_personalisation.Segment')),
                ('survey', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='surveys.PersonalisableSurvey', verbose_name='survey')),
            ],
            options={
                'verbose_name': 'Survey submission rule',
            },
        ),
    ]
